<?php


return  
    [
        'model' => [
            'model' => \Litecms\Property\Models\ListingCategory::class,
            'table' => 'litecms_property_listing_categories',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['name',  'type'],
            'translatables' => [],
            'upload_folder' => 'property/listing_category',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'property::listing_category.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'property::listing_category.label.type', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::listing_category.label.name',
                "placeholder" => 'property::listing_category.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::listing_category.label.type',
                "placeholder" => 'property::listing_category.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('property::listing_category.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'property/listing_category/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'property/listing_category/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'property/listing_category',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'property/listing_category',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'property/listing_category',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'property/listing_category',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'property::listing_category.label.created_at',
            'name' => 'property::listing_category.label.name',
            'status' => 'property::listing_category.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "property::listing_category.groups.main",
                'group' => "main.main",
                'title' => "property::listing_category.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "property::listing_category.groups.details",
                'group' => "main.details",
                'title' => "property::listing_category.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "property::listing_category.groups.images",
                'group' => "main.images",
                'title' => "property::listing_category.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "property::listing_category.groups.settings",
                'group' => "main.settings",
                'title' => "property::listing_category.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Property',
            'module' => 'ListingCategory',
        ],

        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'property::listing_category.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['property.listing_category.copy', 'property.listing_category.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'property::listing_category.label.count',
                        "placeholder" => 'property::listing_category.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'property::listing_category.label.comment',
                        "placeholder" => 'property::listing_category.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'property::listing_category.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'property::listing_category.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
