<?php


return  
    [
        'model' => [
            'model' => \Litecms\Property\Models\Property::class,
            'table' => 'litecms_property_properties',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['category_id',  'team_id',  'contact_id',  'tenant_id',  'agent_id',  'exclusive',  'name',  'ref',  'ref_pf',  'unit_no',  'unit_type',  'floor',  'maintain_sqft',  'latitude',  'longitude',  'country_id',  'state_id',  'location_id',  'sublocation_id',  'property_id',  'building_no',  'tower_name',  'beds',  'fitted',  'construction',  'baths',  'half_bath',  'furnished',  'appliances',  'view',  'bua',  'price',  'plot',  'poa',  'frequency',  'cheques',  'parking',  'commercial',  'description',  'description_more',  'documents',  'photos',  'floor_plans',  'deposit',  'deposit_aed',  'portals',  'medias',  'features',  'amenities',  'features_intl',  'featured',  'str',  'source',  'sub_source',  'next_available',  'notes',  'rented',  'rented_price',  'rented_cheques',  'rented_at',  'rented_until',  'maintenance_fee',  'type',  'trakheesi',  'status',  'related_listing',  'published_at',  'unpublished_at',  'assigned_to',  'watermark',  'expiry_at',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'property/property',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
             
                'marking'    => 'array',
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "category_id", 
                "type" => "text", 
                "label" => 'property::property.label.category_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "team_id", 
                "type" => "text", 
                "label" => 'property::property.label.team_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "contact_id", 
                "type" => "text", 
                "label" => 'property::property.label.contact_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tenant_id", 
                "type" => "text", 
                "label" => 'property::property.label.tenant_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "agent_id", 
                "type" => "text", 
                "label" => 'property::property.label.agent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "exclusive", 
                "type" => "text", 
                "label" => 'property::property.label.exclusive', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'property::property.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref", 
                "type" => "text", 
                "label" => 'property::property.label.ref', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "ref_pf", 
                "type" => "text", 
                "label" => 'property::property.label.ref_pf', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit_no", 
                "type" => "text", 
                "label" => 'property::property.label.unit_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unit_type", 
                "type" => "text", 
                "label" => 'property::property.label.unit_type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "floor", 
                "type" => "text", 
                "label" => 'property::property.label.floor', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "maintain_sqft", 
                "type" => "text", 
                "label" => 'property::property.label.maintain_sqft', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "latitude", 
                "type" => "text", 
                "label" => 'property::property.label.latitude', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "longitude", 
                "type" => "text", 
                "label" => 'property::property.label.longitude', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "country_id", 
                "type" => "text", 
                "label" => 'property::property.label.country_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "state_id", 
                "type" => "text", 
                "label" => 'property::property.label.state_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "location_id", 
                "type" => "text", 
                "label" => 'property::property.label.location_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sublocation_id", 
                "type" => "text", 
                "label" => 'property::property.label.sublocation_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "property_id", 
                "type" => "text", 
                "label" => 'property::property.label.property_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "building_no", 
                "type" => "text", 
                "label" => 'property::property.label.building_no', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "tower_name", 
                "type" => "text", 
                "label" => 'property::property.label.tower_name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "beds", 
                "type" => "text", 
                "label" => 'property::property.label.beds', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "fitted", 
                "type" => "text", 
                "label" => 'property::property.label.fitted', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "construction", 
                "type" => "text", 
                "label" => 'property::property.label.construction', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "baths", 
                "type" => "text", 
                "label" => 'property::property.label.baths', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "half_bath", 
                "type" => "text", 
                "label" => 'property::property.label.half_bath', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "furnished", 
                "type" => "text", 
                "label" => 'property::property.label.furnished', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "appliances", 
                "type" => "text", 
                "label" => 'property::property.label.appliances', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "view", 
                "type" => "text", 
                "label" => 'property::property.label.view', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "bua", 
                "type" => "text", 
                "label" => 'property::property.label.bua', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "price", 
                "type" => "text", 
                "label" => 'property::property.label.price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "plot", 
                "type" => "text", 
                "label" => 'property::property.label.plot', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "poa", 
                "type" => "text", 
                "label" => 'property::property.label.poa', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "frequency", 
                "type" => "text", 
                "label" => 'property::property.label.frequency', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "cheques", 
                "type" => "text", 
                "label" => 'property::property.label.cheques', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "parking", 
                "type" => "text", 
                "label" => 'property::property.label.parking', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "commercial", 
                "type" => "text", 
                "label" => 'property::property.label.commercial', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'property::property.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "documents", 
                "type" => "text", 
                "label" => 'property::property.label.documents', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "photos", 
                "type" => "text", 
                "label" => 'property::property.label.photos', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "floor_plans", 
                "type" => "text", 
                "label" => 'property::property.label.floor_plans', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deposit", 
                "type" => "text", 
                "label" => 'property::property.label.deposit', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "deposit_aed", 
                "type" => "text", 
                "label" => 'property::property.label.deposit_aed', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "portals", 
                "type" => "text", 
                "label" => 'property::property.label.portals', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "medias", 
                "type" => "text", 
                "label" => 'property::property.label.medias', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "features", 
                "type" => "text", 
                "label" => 'property::property.label.features', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "amenities", 
                "type" => "text", 
                "label" => 'property::property.label.amenities', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "features_intl", 
                "type" => "text", 
                "label" => 'property::property.label.features_intl', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "featured", 
                "type" => "text", 
                "label" => 'property::property.label.featured', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "str", 
                "type" => "text", 
                "label" => 'property::property.label.str', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "source", 
                "type" => "text", 
                "label" => 'property::property.label.source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "sub_source", 
                "type" => "text", 
                "label" => 'property::property.label.sub_source', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "next_available", 
                "type" => "text", 
                "label" => 'property::property.label.next_available', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "notes", 
                "type" => "text", 
                "label" => 'property::property.label.notes', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rented", 
                "type" => "text", 
                "label" => 'property::property.label.rented', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rented_price", 
                "type" => "text", 
                "label" => 'property::property.label.rented_price', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rented_cheques", 
                "type" => "text", 
                "label" => 'property::property.label.rented_cheques', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rented_at", 
                "type" => "text", 
                "label" => 'property::property.label.rented_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "rented_until", 
                "type" => "text", 
                "label" => 'property::property.label.rented_until', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "maintenance_fee", 
                "type" => "text", 
                "label" => 'property::property.label.maintenance_fee', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "type", 
                "type" => "text", 
                "label" => 'property::property.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "trakheesi", 
                "type" => "text", 
                "label" => 'property::property.label.trakheesi', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "related_listing", 
                "type" => "text", 
                "label" => 'property::property.label.related_listing', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "published_at", 
                "type" => "text", 
                "label" => 'property::property.label.published_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "unpublished_at", 
                "type" => "text", 
                "label" => 'property::property.label.unpublished_at', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "assigned_to", 
                "type" => "text", 
                "label" => 'property::property.label.assigned_to', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "watermark", 
                "type" => "text", 
                "label" => 'property::property.label.watermark', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "expiry_at", 
                "type" => "text", 
                "label" => 'property::property.label.expiry_at', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'category_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.category_id',
                "placeholder" => 'property::property.placeholder.category_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'team_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.team_id',
                "placeholder" => 'property::property.placeholder.team_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'contact_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.contact_id',
                "placeholder" => 'property::property.placeholder.contact_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tenant_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.tenant_id',
                "placeholder" => 'property::property.placeholder.tenant_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'agent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.agent_id',
                "placeholder" => 'property::property.placeholder.agent_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'exclusive',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.exclusive',
                "placeholder" => 'property::property.placeholder.exclusive',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.name',
                "placeholder" => 'property::property.placeholder.name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.ref',
                "placeholder" => 'property::property.placeholder.ref',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'ref_pf',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.ref_pf',
                "placeholder" => 'property::property.placeholder.ref_pf',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.unit_no',
                "placeholder" => 'property::property.placeholder.unit_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unit_type',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.unit_type',
                "placeholder" => 'property::property.placeholder.unit_type',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'floor',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.floor',
                "placeholder" => 'property::property.placeholder.floor',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'maintain_sqft',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'property::property.label.maintain_sqft',
                "placeholder" => 'property::property.placeholder.maintain_sqft',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'latitude',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.latitude',
                "placeholder" => 'property::property.placeholder.latitude',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'longitude',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.longitude',
                "placeholder" => 'property::property.placeholder.longitude',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'country_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.country_id',
                "placeholder" => 'property::property.placeholder.country_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'state_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.state_id',
                "placeholder" => 'property::property.placeholder.state_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'location_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.location_id',
                "placeholder" => 'property::property.placeholder.location_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sublocation_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.sublocation_id',
                "placeholder" => 'property::property.placeholder.sublocation_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'property_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.property_id',
                "placeholder" => 'property::property.placeholder.property_id',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'building_no',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.building_no',
                "placeholder" => 'property::property.placeholder.building_no',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'tower_name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.tower_name',
                "placeholder" => 'property::property.placeholder.tower_name',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'beds',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.beds',
                "placeholder" => 'property::property.placeholder.beds',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'fitted',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.fitted',
                "placeholder" => 'property::property.placeholder.fitted',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.fitted');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'construction',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.construction',
                "placeholder" => 'property::property.placeholder.construction',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.construction');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'baths',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.baths',
                "placeholder" => 'property::property.placeholder.baths',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'half_bath',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.half_bath',
                "placeholder" => 'property::property.placeholder.half_bath',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'furnished',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.furnished',
                "placeholder" => 'property::property.placeholder.furnished',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.furnished');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'appliances',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.appliances',
                "placeholder" => 'property::property.placeholder.appliances',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.appliances');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'view',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.view',
                "placeholder" => 'property::property.placeholder.view',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'bua',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.bua',
                "placeholder" => 'property::property.placeholder.bua',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'price',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.price',
                "placeholder" => 'property::property.placeholder.price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'plot',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.plot',
                "placeholder" => 'property::property.placeholder.plot',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'poa',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.poa',
                "placeholder" => 'property::property.placeholder.poa',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'frequency',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.frequency',
                "placeholder" => 'property::property.placeholder.frequency',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.frequency');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'cheques',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.cheques',
                "placeholder" => 'property::property.placeholder.cheques',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'parking',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.parking',
                "placeholder" => 'property::property.placeholder.parking',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'commercial',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.commercial',
                "placeholder" => 'property::property.placeholder.commercial',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.description',
                "placeholder" => 'property::property.placeholder.description',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description_more',
                "element" => 'textarea',
                "type" => 'textarea',
                "label" => 'property::property.label.description_more',
                "placeholder" => 'property::property.placeholder.description_more',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'documents',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.documents',
                "placeholder" => 'property::property.placeholder.documents',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'photos',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.photos',
                "placeholder" => 'property::property.placeholder.photos',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'floor_plans',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.floor_plans',
                "placeholder" => 'property::property.placeholder.floor_plans',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deposit',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'property::property.label.deposit',
                "placeholder" => 'property::property.placeholder.deposit',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'deposit_aed',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'property::property.label.deposit_aed',
                "placeholder" => 'property::property.placeholder.deposit_aed',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'portals',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.portals',
                "placeholder" => 'property::property.placeholder.portals',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'medias',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.medias',
                "placeholder" => 'property::property.placeholder.medias',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'features',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.features',
                "placeholder" => 'property::property.placeholder.features',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'amenities',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.amenities',
                "placeholder" => 'property::property.placeholder.amenities',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'features_intl',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.features_intl',
                "placeholder" => 'property::property.placeholder.features_intl',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'featured',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.featured',
                "placeholder" => 'property::property.placeholder.featured',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.featured');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'str',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.str',
                "placeholder" => 'property::property.placeholder.str',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.source',
                "placeholder" => 'property::property.placeholder.source',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'sub_source',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.sub_source',
                "placeholder" => 'property::property.placeholder.sub_source',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'next_available',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'property::property.label.next_available',
                "placeholder" => 'property::property.placeholder.next_available',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'notes',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.notes',
                "placeholder" => 'property::property.placeholder.notes',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rented',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.rented',
                "placeholder" => 'property::property.placeholder.rented',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rented_price',
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'property::property.label.rented_price',
                "placeholder" => 'property::property.placeholder.rented_price',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rented_cheques',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.rented_cheques',
                "placeholder" => 'property::property.placeholder.rented_cheques',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rented_at',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'property::property.label.rented_at',
                "placeholder" => 'property::property.placeholder.rented_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'rented_until',
                "element" => 'date_picker',
                "type" => 'date_picker',
                "label" => 'property::property.label.rented_until',
                "placeholder" => 'property::property.placeholder.rented_until',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'maintenance_fee',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.maintenance_fee',
                "placeholder" => 'property::property.placeholder.maintenance_fee',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'type',
                "element" => 'radios',
                "type" => 'radios',
                "label" => 'property::property.label.type',
                "placeholder" => 'property::property.placeholder.type',
                "rules" => '',
                "options" => function(){
                    return trans('property::property.options.type');
                },
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'trakheesi',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.trakheesi',
                "placeholder" => 'property::property.placeholder.trakheesi',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'related_listing',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.related_listing',
                "placeholder" => 'property::property.placeholder.related_listing',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'published_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'property::property.label.published_at',
                "placeholder" => 'property::property.placeholder.published_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'unpublished_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'property::property.label.unpublished_at',
                "placeholder" => 'property::property.placeholder.unpublished_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'assigned_to',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'property::property.label.assigned_to',
                "placeholder" => 'property::property.placeholder.assigned_to',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'watermark',
                "element" => 'text',
                "type" => 'text',
                "label" => 'property::property.label.watermark',
                "placeholder" => 'property::property.placeholder.watermark',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'expiry_at',
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'property::property.label.expiry_at',
                "placeholder" => 'property::property.placeholder.expiry_at',
                "rules" => '',
                "group" => "main.main",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'property/property/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'property/property/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'property/property',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'property/property',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'property/property',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'property/property',
                'method' => 'DELETE',
            ],
        ],

        'order' => [
            'created_at' => 'property::property.label.created_at',
            'name' => 'property::property.label.name',
            'status' => 'property::property.label.status',
        ],

        'groups' => [
            [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "property::property.groups.main",
                'group' => "main.main",
                'title' => "property::property.groups.main",
            ],
            [
                'icon' => "fe:home",
                'name' => "property::property.groups.details",
                'group' => "main.details",
                'title' => "property::property.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "property::property.groups.images",
                'group' => "main.images",
                'title' => "property::property.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "property::property.groups.settings",
                'group' => "main.settings",
                'title' => "property::property.groups.settings",
            ]
        ],

        'controller' => [
            'provider' => 'Litecms',
            'package' => 'Property',
            'module' => 'Property',
        ],

         
        'workflow' => [
            'type' => 'workflow',
            'marking_store' => [
                'type' => 'multiple_state',
                'arguments' => ['status'],
                // 'property' => 'status'
            ],
            'supports' => [
                \Litecms\Property\Models\Property::class,
            ],
            'places' => [
                'Draft',
                'Pending',
                'Approved',
                'Closed',
                'Published',
                'Archived',
                'Unpublished',
            ],
            'initial_places' => ['Draft'],
            'transitions' => [
                'submit' => [
                    'from' => 'Draft',
                    'to' => 'Pending',
                    'metadata' => [
                        'roles' => [
                            'user' => ['*'],
                        ],
                        'rules' => [
                            'name' => 'required',
                        ]
                    ],
                ],
                'reject' => [
                    'from' => 'Pending',
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ],
                        'form' => [
                            'title' => 'Reject',
                            'button' => [
                                'cancel' > [
                                    'icon' > '',
                                    'varient' > '',
                                    'label' > 'Cancel'
                                ],
                                'submit' > [
                                    'icon' > '',
                                    'varient' > 'primary',
                                    'label' > 'Reject'
                                ]
                            ],
                            'fields' => [
                                'count' => [
                                    "element" => 'select',
                                    "type" => 'select',
                                    "label" => 'advert::advert.label.count',
                                    "placeholder" => 'advert::advert.placeholder.count',
                                    "options" => call_user_func(function () {
                                        return [
                                            1 => ['value' => 1, 'text' => 1],
                                            2 => ['value' => 2, 'text' => 2],
                                            3 => ['value' => 3, 'text' => 3],
                                            4 => ['value' => 4, 'text' => 4],
                                        ];
                                    }),
                                    "col" => "12",
                                ],
                                'comment' => [
                                    "element" => 'textarea',
                                    "type" => 'text',
                                    "required" => 'required',
                                    "label" => 'advert::advert.label.comment',
                                    "placeholder" => 'advert::advert.placeholder.comment',
                                    "col" => "12",
                                ],
                            ],
                        ],
                    ],
                ],
                'approve' => [
                    'from' => 'Pending',
                    'to' => 'Approved',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin', 'manager'],
                        ]
                    ],
                ],
                'publish' => [
                    'from' => ['Approved', 'Unpublished'],
                    'to' => 'Published',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unpublish' => [
                    'from' => ['Published'],
                    'to' => 'Unpublished',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'archive' => [
                    'from' => ['Published', 'Unpublished'],
                    'to' => 'Archived',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
                'unarchive' => [
                    'from' => ['Archived'],
                    'to' => 'Draft',
                    'metadata' => [
                        'roles' => [
                            'user' => ['superuser', 'admin'],
                            'team' => ['admin'],
                        ]
                    ],
                ],
            ],
        ],
        
         
        'actions' => [
            'copy' => [
                'type' => ['Details', 'List'],
                'label' => 'property::property.action.copy',
                'roles' => [
                    'user' => ['superuser', 'admin'],
                    'team' => ['admin'],
                    'permission' => ['property.property.copy', 'property.property.duplicate'],
                ],
                'form' => [
                    'count' => [
                        "element" => 'select',
                        "type" => 'select',
                        "label" => 'property::property.label.count',
                        "placeholder" => 'property::property.placeholder.count',
                        "options" => call_user_func(function () {
                            return [
                                1 => ['value' => 1, 'text' => 1],
                                2 => ['value' => 2, 'text' => 2],
                                3 => ['value' => 3, 'text' => 3],
                                4 => ['value' => 4, 'text' => 4],
                            ];
                        }),
                        "col" => "12",
                    ],
                    'comment' => [
                        "element" => 'textarea',
                        "type" => 'text',
                        "required" => 'required',
                        "label" => 'property::property.label.comment',
                        "placeholder" => 'property::property.placeholder.comment',
                        "col" => "12",
                    ],
                ],
            ],
            'empty' => [
                'type' => ['List', 'Details'],
                'label' => 'property::property.action.empty',
                'roles' => [
                    'user' => ['superuser'],
                ],
            ],
            
            'section' => [
                'type' => ['Group'],
                'api_url' => '',
                'action' => 'list',
                'label' => 'property::property.action.section',
                'store' => 'main.units',
                'group' => 'main.units'
            ],

        ]
        
    ];
