<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsPropertyPropertiesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_property_properties
         */
        Schema::create('litecms_property_properties', function ($table) {
            $table->increments('id');
            $table->integer('category_id')->nullable();
            $table->integer('team_id')->nullable();
            $table->integer('contact_id')->nullable();
            $table->integer('tenant_id')->nullable();
            $table->integer('agent_id')->nullable();
            $table->integer('exclusive')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('ref', 100)->nullable();
            $table->string('ref_pf', 15)->nullable();
            $table->string('unit_no', 100)->nullable();
            $table->string('unit_type', 125)->nullable();
            $table->string('floor', 100)->nullable();
            $table->double('maintain_sqft', 5,2)->nullable();
            $table->string('latitude', 50)->nullable();
            $table->string('longitude', 50)->nullable();
            $table->integer('country_id')->nullable();
            $table->integer('state_id')->nullable();
            $table->integer('location_id')->nullable();
            $table->integer('sublocation_id')->nullable();
            $table->integer('property_id')->nullable();
            $table->string('building_no', 100)->nullable();
            $table->string('tower_name', 100)->nullable();
            $table->integer('beds')->nullable();
            $table->enum('fitted', ['Yes', 'No'])->nullable();
            $table->enum('construction', ['Yes', 'No'])->nullable();
            $table->integer('baths')->nullable();
            $table->tinyInteger('half_bath')->nullable();
            $table->enum('furnished', ['Yes', 'No'])->nullable();
            $table->enum('appliances', ['Yes', 'No'])->nullable();
            $table->string('view', 255)->nullable();
            $table->integer('bua')->nullable();
            $table->integer('price')->nullable();
            $table->string('plot', 100)->nullable();
            $table->tinyInteger('poa')->nullable();
            $table->enum('frequency', ['Yes', 'No'])->nullable();
            $table->tinyInteger('cheques')->nullable();
            $table->integer('parking')->nullable();
            $table->tinyInteger('commercial')->nullable();
            $table->text('description')->nullable();
            $table->mediumText('description_more')->nullable();
            $table->text('documents')->nullable();
            $table->text('photos')->nullable();
            $table->text('floor_plans')->nullable();
            $table->float('deposit')->nullable();
            $table->float('deposit_aed')->nullable();
            $table->text('portals')->nullable();
            $table->text('medias')->nullable();
            $table->text('features')->nullable();
            $table->text('amenities')->nullable();
            $table->text('features_intl')->nullable();
            $table->enum('featured', ['Yes', 'No'])->nullable();
            $table->string('str', 50)->nullable();
            $table->string('source', 100)->nullable();
            $table->string('sub_source', 100)->nullable();
            $table->date('next_available')->nullable();
            $table->text('notes')->nullable();
            $table->tinyInteger('rented')->nullable();
            $table->decimal('rented_price', 12,2)->nullable();
            $table->tinyInteger('rented_cheques')->nullable();
            $table->date('rented_at')->nullable();
            $table->date('rented_until')->nullable();
            $table->integer('maintenance_fee')->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->string('trakheesi', 50)->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->integer('related_listing')->nullable();
            $table->dateTime('published_at')->nullable();
            $table->dateTime('unpublished_at')->nullable();
            $table->integer('assigned_to')->nullable();
            $table->string('watermark', 10)->nullable();
            $table->dateTime('expiry_at')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 30)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_property_properties');
    }
}
