<?php

namespace Litecms\Property\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class ListingCategoryTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_property_listing_categories')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.property.listing_category.view',
                'name'      => 'View ListingCategory',
            ],
            [
                'slug'      => 'litecms.property.listing_category.create',
                'name'      => 'Create ListingCategory',
            ],
            [
                'slug'      => 'litecms.property.listing_category.edit',
                'name'      => 'Update ListingCategory',
            ],
            [
                'slug'      => 'litecms.property.listing_category.delete',
                'name'      => 'Delete ListingCategory',
            ],
            
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/property/listing_category',
                'name'        => 'ListingCategory',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/property/listing_category',
                'name'        => 'ListingCategory',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'listing_category',
                'name'        => 'ListingCategory',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Property',
                'module'    => 'ListingCategory',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.property.listing_category.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
