<?php

namespace Litecms\Property\Seeders;

use Illuminate\Support\Facades\DB;
use Illuminate\Database\Seeder;

class PropertyTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_property_properties')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.property.property.view',
                'name'      => 'View Property',
            ],
            [
                'slug'      => 'litecms.property.property.create',
                'name'      => 'Create Property',
            ],
            [
                'slug'      => 'litecms.property.property.edit',
                'name'      => 'Update Property',
            ],
            [
                'slug'      => 'litecms.property.property.delete',
                'name'      => 'Delete Property',
            ],
            
                        [
                'slug'      => 'litecms.property.property.verify',
                'name'      => 'Verify Property',
            ],
            [
                'slug'      => 'litecms.property.property.approve',
                'name'      => 'Approve Property',
            ],
            [
                'slug'      => 'litecms.property.property.publish',
                'name'      => 'Publish Property',
            ],
            [
                'slug'      => 'litecms.property.property.unpublish',
                'name'      => 'Unpublish Property',
            ],
            [
                'slug'      => 'litecms.property.property.cancel',
                'name'      => 'Cancel Property',
            ],
            [
                'slug'      => 'litecms.property.property.archive',
                'name'      => 'Archive Property',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/property/property',
                'name'        => 'Property',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/property/property',
                'name'        => 'Property',
                'description' => null,
                'icon'        => 'las la-scroll',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'property',
                'name'        => 'Property',
                'description' => null,
                'icon'        => 'las la-scroll,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Property',
                'module'    => 'Property',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.property.property.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
