<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for property in property package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  property module in property package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name' => 'Property',
    'names' => 'Properties',
    'icon' => 'las la-list',

    /**
     * Singlular and plural name of the module
     */
    'title' => [
        'main' => 'Properties',
        'sub' => 'Properties'
    ],

    /**
     * Singlular and plural name of the module
     */
    'groups'         => [
        'main' => 'Main',
        'images' => 'Images',
        'details' => 'Details',
        'settings' => 'Settings'
    ],

    /**
     * Form sub section name for the module.
     */
    'sections' => [
        'main' => 'Main',
        'details' => 'Details',
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
        'fitted' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'construction' => 
            [
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
            ],

        'furnished' => 
            [
                                
                [
                    'key'    => 'Furnished',
                    'value'  => 'Furnished',
                    'text'   => 'Furnished',
                ],
                                
                [
                    'key'    => 'Semi-Furnished',
                    'value'  => 'Semi-Furnished',
                    'text'   => 'Semi-Furnished',
                ],
                                
                [
                    'key'    => 'Not Furnished',
                    'value'  => 'Not Furnished',
                    'text'   => 'Not Furnished',
                ],
                                
            ],

        'appliances' => 
            [
                                
                [
                    'key'    => 'Included',
                    'value'  => 'Included',
                    'text'   => 'Included',
                ],
                                
                [
                    'key'    => 'Not Included',
                    'value'  => 'Not Included',
                    'text'   => 'Not Included',
                ],
                                
            ],

        'frequency' => 
            [
                                
                [
                    'key'    => 'Day',
                    'value'  => 'Day',
                    'text'   => 'Day',
                ],
                                
                [
                    'key'    => 'Week',
                    'value'  => 'Week',
                    'text'   => 'Week',
                ],
                                
                [
                    'key'    => 'Month',
                    'value'  => 'Month',
                    'text'   => 'Month',
                ],
                                
                [
                    'key'    => 'Year',
                    'value'  => 'Year',
                    'text'   => 'Year',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],

        'featured' => 
            [
                                
                [
                    'key'    => 'No',
                    'value'  => 'No',
                    'text'   => 'No',
                ],
                                
                [
                    'key'    => 'Yes',
                    'value'  => 'Yes',
                    'text'   => 'Yes',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],

        'type' => 
            [
                                
                [
                    'key'    => 'Rental',
                    'value'  => 'Rental',
                    'text'   => 'Rental',
                ],
                                
                [
                    'key'    => 'Sales',
                    'value'  => 'Sales',
                    'text'   => 'Sales',
                ],
                                
                [
                    'key'    => '',
                    'value'  => '',
                    'text'   => '',
                ],
                                
            ],

        'status' => 
            [
                                
                [
                    'key'    => 'Archived',
                    'value'  => 'Archived',
                    'text'   => 'Archived',
                ],
                                
                [
                    'key'    => 'Draft',
                    'value'  => 'Draft',
                    'text'   => 'Draft',
                ],
                                
                [
                    'key'    => 'Published',
                    'value'  => 'Published',
                    'text'   => 'Published',
                ],
                                
                [
                    'key'    => 'Unpublished',
                    'value'  => 'Unpublished',
                    'text'   => 'Unpublished',
                ],
                                
                [
                    'key'    => 'Waiting Approval',
                    'value'  => 'Waiting Approval',
                    'text'   => 'Waiting Approval',
                ],
                                
                [
                    'key'    => 'Waiting Publish',
                    'value'  => 'Waiting Publish',
                    'text'   => 'Waiting Publish',
                ],
                                
                [
                    'key'    => 'Completed',
                    'value'  => 'Completed',
                    'text'   => 'Completed',
                ],
                                
                [
                    'key'    => 'Approved',
                    'value'  => 'Approved',
                    'text'   => 'Approved',
                ],
                                
                [
                    'key'    => 'Rejected',
                    'value'  => 'Rejected',
                    'text'   => 'Rejected',
                ],
                                
                [
                    'key'    => 'Waiting Unpublish',
                    'value'  => 'Waiting Unpublish',
                    'text'   => 'Waiting Unpublish',
                ],
                                
                [
                    'key'    => 'Pending Photo Request',
                    'value'  => 'Pending Photo Request',
                    'text'   => 'Pending Photo Request',
                ],
                                
            ],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'category_id'                => 'Please enter category id',
        'team_id'                    => 'Please enter team id',
        'contact_id'                 => 'Please enter contact id',
        'tenant_id'                  => 'Please enter tenant id',
        'agent_id'                   => 'Please enter agent id',
        'exclusive'                  => 'Please enter exclusive',
        'name'                       => 'Please enter name',
        'ref'                        => 'Please enter ref',
        'ref_pf'                     => 'Please enter ref pf',
        'unit_no'                    => 'Please enter unit no',
        'unit_type'                  => 'Please enter unit type',
        'floor'                      => 'Please enter floor',
        'maintain_sqft'              => 'Please enter maintain sqft',
        'latitude'                   => 'Please enter latitude',
        'longitude'                  => 'Please enter longitude',
        'country_id'                 => 'Please enter country id',
        'state_id'                   => 'Please enter state id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'property_id'                => 'Please enter property id',
        'building_no'                => 'Please enter building no',
        'tower_name'                 => 'Please enter tower name',
        'beds'                       => 'Please enter beds',
        'fitted'                     => 'Please select fitted',
        'construction'               => 'Please select construction',
        'baths'                      => 'Please enter baths',
        'half_bath'                  => 'Please enter half bath',
        'furnished'                  => 'Please select furnished',
        'appliances'                 => 'Please select appliances',
        'view'                       => 'Please enter view',
        'bua'                        => 'Please enter bua',
        'price'                      => 'Please enter price',
        'plot'                       => 'Please enter plot',
        'poa'                        => 'Please enter poa',
        'frequency'                  => 'Please select frequency',
        'cheques'                    => 'Please enter cheques',
        'parking'                    => 'Please enter parking',
        'commercial'                 => 'Please enter commercial',
        'description'                => 'Please enter description',
        'description_more'           => 'Please enter description more',
        'documents'                  => 'Please enter documents',
        'photos'                     => 'Please enter photos',
        'floor_plans'                => 'Please enter floor plans',
        'deposit'                    => 'Please enter deposit',
        'deposit_aed'                => 'Please enter deposit aed',
        'portals'                    => 'Please enter portals',
        'medias'                     => 'Please enter medias',
        'features'                   => 'Please enter features',
        'amenities'                  => 'Please enter amenities',
        'features_intl'              => 'Please enter features intl',
        'featured'                   => 'Please select featured',
        'str'                        => 'Please enter str',
        'source'                     => 'Please enter source',
        'sub_source'                 => 'Please enter sub source',
        'next_available'             => 'Please select next available',
        'notes'                      => 'Please enter notes',
        'rented'                     => 'Please enter rented',
        'rented_price'               => 'Please enter rented price',
        'rented_cheques'             => 'Please enter rented cheques',
        'rented_at'                  => 'Please select rented at',
        'rented_until'               => 'Please select rented until',
        'maintenance_fee'            => 'Please enter maintenance fee',
        'type'                       => 'Please select type',
        'trakheesi'                  => 'Please enter trakheesi',
        'status'                     => 'Please select status',
        'related_listing'            => 'Please enter related listing',
        'published_at'               => 'Please select published at',
        'unpublished_at'             => 'Please select unpublished at',
        'assigned_to'                => 'Please enter assigned to',
        'watermark'                  => 'Please enter watermark',
        'expiry_at'                  => 'Please select expiry at',
        'upload_folder'              => 'Please enter upload folder',
        'user_id'                    => 'Please enter user id',
        'user_type'                  => 'Please enter user type',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'category_id'                => 'Category id',
        'team_id'                    => 'Team id',
        'contact_id'                 => 'Contact id',
        'tenant_id'                  => 'Tenant id',
        'agent_id'                   => 'Agent id',
        'exclusive'                  => 'Exclusive',
        'name'                       => 'Name',
        'ref'                        => 'Ref',
        'ref_pf'                     => 'Ref pf',
        'unit_no'                    => 'Unit no',
        'unit_type'                  => 'Unit type',
        'floor'                      => 'Floor',
        'maintain_sqft'              => 'Maintain sqft',
        'latitude'                   => 'Latitude',
        'longitude'                  => 'Longitude',
        'country_id'                 => 'Country id',
        'state_id'                   => 'State id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'property_id'                => 'Property id',
        'building_no'                => 'Building no',
        'tower_name'                 => 'Tower name',
        'beds'                       => 'Beds',
        'fitted'                     => 'Fitted',
        'construction'               => 'Construction',
        'baths'                      => 'Baths',
        'half_bath'                  => 'Half bath',
        'furnished'                  => 'Furnished',
        'appliances'                 => 'Appliances',
        'view'                       => 'View',
        'bua'                        => 'Bua',
        'price'                      => 'Price',
        'plot'                       => 'Plot',
        'poa'                        => 'Poa',
        'frequency'                  => 'Frequency',
        'cheques'                    => 'Cheques',
        'parking'                    => 'Parking',
        'commercial'                 => 'Commercial',
        'description'                => 'Description',
        'description_more'           => 'Description more',
        'documents'                  => 'Documents',
        'photos'                     => 'Photos',
        'floor_plans'                => 'Floor plans',
        'deposit'                    => 'Deposit',
        'deposit_aed'                => 'Deposit aed',
        'portals'                    => 'Portals',
        'medias'                     => 'Medias',
        'features'                   => 'Features',
        'amenities'                  => 'Amenities',
        'features_intl'              => 'Features intl',
        'featured'                   => 'Featured',
        'str'                        => 'Str',
        'source'                     => 'Source',
        'sub_source'                 => 'Sub source',
        'next_available'             => 'Next available',
        'notes'                      => 'Notes',
        'rented'                     => 'Rented',
        'rented_price'               => 'Rented price',
        'rented_cheques'             => 'Rented cheques',
        'rented_at'                  => 'Rented at',
        'rented_until'               => 'Rented until',
        'maintenance_fee'            => 'Maintenance fee',
        'type'                       => 'Type',
        'trakheesi'                  => 'Trakheesi',
        'status'                     => 'Status',
        'related_listing'            => 'Related listing',
        'published_at'               => 'Published at',
        'unpublished_at'             => 'Unpublished at',
        'assigned_to'                => 'Assigned to',
        'watermark'                  => 'Watermark',
        'expiry_at'                  => 'Expiry at',
        'upload_folder'              => 'Upload folder',
        'user_id'                    => 'User id',
        'user_type'                  => 'User type',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

        /**
     * Label for workflows.
     */
    'workflow' => [
        'submit' => [
            'label' => 'Submit',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'approve' => [
            'label' => 'Approve',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'reject' => [
            'label' => 'Reject',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'publish' => [
            'label' => 'Publish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'unpublish' => [
            'label' => 'Unpublish',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'archive' => [
            'label' => 'Archive',
            'icon' => 'save',
            'varient' => 'danger',
        ],
        'unarchive' => [
            'label' => 'Unarchive',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    
    // Customize this permissions if needed.
    /**
     * Label for actions.
     */
    'actions' => [
        'copy' => [
            'label' => 'Copy',
            'icon' => 'save',
            'varient' => 'outline',
        ],
        'empty' => [
            'label' => 'Empty',
            'icon' => 'save',
            'varient' => 'outline',
        ],
    ],
    ];
