<?php

namespace Litecms\Property\Actions;

use Illuminate\Support\Carbon;
use Illuminate\Support\Str;
use Litepie\Actions\Concerns\AsAction;
use Litecms\Property\Models\ListingCategory;


class ListingCategoryAction
{
    use AsAction;

    protected $model;
    protected $namespace = 'litecms.property.listing_category';
    protected $eventClass = \Litecms\Property\Events\ListingCategoryAction::class;
    protected $action;
    protected $function;
    protected $request;

    public function handle(string $action, ListingCategory $listing_category, array $request = [])
    {
        $this->action = $action;
        $this->request = $request;
        $this->model = $listing_category;
        $this->function = Str::camel($action);
        $this->executeAction();
        return $this->model;

    }


    public function store(ListingCategory $listing_category, array $request)
    {
        $attributes = $request;
        $attributes['user_id'] = user_id();
        $attributes['user_type'] = user_type();
        $listing_category = $listing_category->create($attributes);
        return $listing_category;
    }

    public function update(ListingCategory $listing_category, array $request)
    {
        $attributes = $request;
        $listing_category->update($attributes);
        return $listing_category;
    }

    public function destroy(ListingCategory $listing_category, array $request)
    {
        $listing_category->delete();
        return $listing_category;
    }

    public function copy(ListingCategory $listing_category, array $request)
    {
        $count = $request['count'] ?: 1;

        if ($count == 1) {
            $listing_category = $listing_category->replicate();
            $listing_category->created_at = Carbon::now();
            $listing_category->save();
            return $listing_category;
        }

        for ($i = 1; $i <= $count; $i++) {
            $new = $listing_category->replicate();
            $new->created_at = Carbon::now();
            $new->save();
        }

        return $listing_category;
    }


}
