<?php

namespace Litecms\Property\Http\Controllers;

use App\Http\Controllers\Controller as BaseController;
use Exception;
use Litecms\Property\Http\Requests\ListingCategoryActionsRequest;
use Litecms\Property\Actions\ListingCategoryActions;

/**
 * Admin web controller class.
 */
class ListingCategoryActionsController extends BaseController
{

    /**
     * Action controller function for listing_category.
     *
     * @param Model $model
     * @param action next action for the model.
     *
     * @return Response
     */
    public function __invoke(ListingCategoryActionsRequest $request, $action)
    {
        try {
            $listing_category = ListingCategoryActions::run($request, $action);
            return $this->response->message(trans('messages.success.updated', ['Module' => trans('property::listing_category.name')]))
                ->code(204)
                ->data(compact('data'))
                ->status('success')
                ->url(guard_url('property/listing_category/' . $action))
                ->redirect();
        } catch (Exception $e) {
            return $this->response->message($e->getMessage())
                ->code(400)
                ->status('error')
                ->url(guard_url('property/listing_category/' . $action))
                ->redirect();
        }
    }
}
