<?php

namespace Litecms\Property\Policies;

use Litepie\User\Interfaces\UserPolicyInterface;

trait PropertyExim
{

    /**
     * Determine if the given user can approve the given property.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function import(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('property.property.import')) {
            return true;
        }

        return false;
    }

    /**
     * Determine if the given user can approve the given property.
     *
     * @param UserPolicyInterface $authUser
     *
     * @return bool
     */
    public function export(UserPolicyInterface $authUser)
    {
        if ($authUser->canDo('property.property.export')) {
            return true;
        }

        return false;
    }
}
