<?php

namespace Litecms\Property\Providers;

use Illuminate\Foundation\Support\Providers\EventServiceProvider as ServiceProvider;
use Litecms\Property\Events\PropertyAction;
use Litecms\Property\Events\PropertyWorkflow;
use Litecms\Property\Listeners\PropertyAction as PropertyActionListener;
use Litecms\Property\Listeners\PropertyWorkflow as PropertyWorkflowListener;


class EventServiceProvider extends ServiceProvider
{
    /**
     * The event listener mappings for the application.
     *
     * @var array
     */
    protected $listen = [
    
        PropertyAction::class => [
            PropertyActionListener::class,
        ],
        PropertyWorkflow::class => [
            PropertyWorkflowListener::class,
        ],
    ];

    /**
     * Register any other events for your application.
     *
     * @param \Illuminate\Contracts\Events\Dispatcher $events
     *
     * @return void
     */
    public function boot()
    {
        parent::boot();

        //
    }
}
